Bug 39153 - univention-system-activation: Validate E-Mail field instead of presenting error message block
univention-system-activation: Validate E-Mail field instead of presenting err...
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: General
UCS 4.0
Other Linux
: P5 normal (vote)
: UCS 4.0-3-errata
Assigned To: Alexander Kramer
Erik Damrose
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-12 15:29 CEST by Erik Damrose
Modified: 2015-09-24 14:37 CEST (History)
4 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Erik Damrose univentionstaff 2015-08-12 15:29:52 CEST
If no email address or a misformatted mailaddress is provided a error block is shown. Why not use the default UMC validation and show only the (!) in the email textfield?
Comment 1 Eduard Mai univentionstaff 2015-09-08 15:36:23 CEST
As requested an empty or misformatted email field does not provide an error block anymore. Also no requests are send to the server. 

UCS 4.0-3
63513 

Package: univention-system-activation
Version: 0.0.1-38.41.201509081508

63517 yaml file
Comment 2 Florian Best univentionstaff 2015-09-08 15:44:17 CEST
Please fix the indentation. We are using tabs, not spaces.
Comment 3 Eduard Mai univentionstaff 2015-09-08 16:46:07 CEST
UCS 4.0-3
63520 Fixed indentation.
Package: univention-system-activation
Version: 0.0.1-39.43.201509081631
63522 yaml file

UCS 4.1-0
63518 app.js debian/changelog
63521 Fixed indentation.
Package: univention-system-activation
Version: 1.0.0-9.44.201509081635
Comment 4 Erik Damrose univentionstaff 2015-09-24 12:06:07 CEST
OK: Validation looks great now.
OK: Merge to 4.1
OK: Yaml
-> Verified
Comment 5 Janek Walkenhorst univentionstaff 2015-09-24 14:37:54 CEST
<http://errata.software-univention.de/ucs/4.0/334.html>